<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Indoor Sports Zone
 */
?>

<footer id="colophon" class="site-footer border-top">
    <div class="container">
    	<div class="footer-column">
    		<?php
		        $indoor_sports_zone_count = 0;
		        
		        if ( is_active_sidebar( 'indoor-sports-zone-footer1' ) ) {
		            $indoor_sports_zone_count++;
		        }
		        if ( is_active_sidebar( 'indoor-sports-zone-footer2' ) ) {
		            $indoor_sports_zone_count++;
		        }
		        if ( is_active_sidebar( 'indoor-sports-zone-footer3' ) ) {
		            $indoor_sports_zone_count++;
		        }
		        // $indoor_sports_zone_count == 0 none
		        if ( $indoor_sports_zone_count == 1 ) {
		            $indoor_sports_zone_colmd = 'col-md-12 col-sm-12';
		        } elseif ( $indoor_sports_zone_count == 2 ) {
		            $indoor_sports_zone_colmd = 'col-md-6 col-sm-6';
		        } else {
		            $indoor_sports_zone_colmd = 'col-md-4 col-sm-4';
		        }
      		?>
	      	<div class="row">
		        <div class="<?php if ( !is_active_sidebar( 'indoor-sports-zone-footer1' ) ){ echo "footer_hide"; }else{ echo "$indoor_sports_zone_colmd"; } ?> col-xs-12 footer-block">
		          <?php dynamic_sidebar('indoor-sports-zone-footer1'); ?>
		        </div>
		        <div class="<?php if ( is_active_sidebar( 'indoor-sports-zone-footer2' ) ){ echo "$indoor_sports_zone_colmd"; }else{ echo "footer_hide"; } ?> col-xs-12 footer-block">
		            <?php dynamic_sidebar('indoor-sports-zone-footer2'); ?>
		        </div>
		        <div class="<?php if ( is_active_sidebar( 'indoor-sports-zone-footer3' ) ){ echo "$indoor_sports_zone_colmd"; }else{ echo "footer_hide"; } ?> col-xs-12 col-xs-12 footer-block">
		            <?php dynamic_sidebar('indoor-sports-zone-footer3'); ?>
		        </div>
	      	</div>
		</div>
    	<?php if (get_theme_mod('indoor_sports_zone_show_hide_copyright', true)) {?>
	    	<div class="row">
	    		<div class="col-lg-4 col-md-5 col-12 align-self-lg-center">
					<?php if ( has_nav_menu( 'footer' ) ): ?>
			            <nav class="navbar footer-menu">
							<?php
								wp_nav_menu( array(
									'theme_location' => 'footer',
									'container'      => 'div',
									'container_id'   => 'main-nav',
									'menu_id'        => false,
									'depth'          => 1,
								) );
							?>
			            </nav>
					<?php endif ?>
				</div>
		        <div class="site-info col-lg-8 col-md-7 col-12">
		            <div class="footer-menu-left">
		            	<?php  if( ! get_theme_mod('indoor_sports_zone_footer_text_setting') ){ ?>
						    <a target="_blank" href="<?php echo esc_url('https://wordpress.org/', 'indoor-sports-zone' ); ?>">
								<?php
								/* translators: %s: CMS name, i.e. WordPress. */
								printf( esc_html__( 'Proudly powered by %s', 'indoor-sports-zone' ), 'WordPress' );
								?>
						    </a>
						    <span class="sep me-1"> | </span>

						    <span>
				          	 	<a target="_blank" href="<?php echo esc_url( 'https://www.themagnifico.net/products/free-indoor-sports-wordpress-theme/'); ?>">
					              	<?php
					                /* translators: 1: Theme name,  */
					                printf( esc_html__( ' %1$s ', 'indoor-sports-zone' ),'Indoor Sports WordPress Theme' );
					              	?>
				          		</a>
					          	<?php
					              /* translators: 1: Theme author. */
					              printf( esc_html__( 'by %1$s.', 'indoor-sports-zone' ),'TheMagnifico'  );
					            ?>
		        			</span>
						<?php }?>
						<?php echo esc_html(get_theme_mod('indoor_sports_zone_footer_text_setting')); ?>
		            </div>
		        </div>
		    </div>
		<?php } ?>
	    <?php if(get_theme_mod('indoor_sports_zone_scroll_hide','')){ ?>
	    	<a id="button"><?php esc_html_e('TOP','indoor-sports-zone'); ?></a>
	    <?php } ?>
    </div>
</footer>
</div>

<?php wp_footer(); ?>

</body>
</html>